from abc import ABC, abstractmethod
from typing import Any


class IFieldEncryptor(ABC):
    @staticmethod
    @abstractmethod
    def encrypt(value: Any) -> Any:
        """Encrypts data and returns the ciphertext.

        :param value: Data that will be encrypted
        :return: Ciphertext generated by encrypting value
        :rtype: Any
        """

    @staticmethod
    @abstractmethod
    def decrypt(value: Any):
        """Decrypts data and returns the plaintext.

        :param value: Ciphertext that will be decrypted
        :return: Plaintext generated by decrypting value
        :rtype: Any
        """
